Get organization guest documentation default
Returns the organization default for which project documentation organization members can read. Hidden is the secure default. Projects can override this value. This setting filters guest documentation. It does not grant project access.
GET
/organizations/{id}/guest-accessAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredResponses
200
guestDocumentationVisibilitystringrequiredOrganization default for which project documentation organization members can read. Hidden is the secure default. Projects can override this value.
Allowed:
HiddenAllPagesSelectedPagesidstring<uuid>required401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/organizations/string/guest-access" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/organizations/string/guest-access", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/organizations/string/guest-access",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
{
"guestDocumentationVisibility": "Hidden",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions